use std::str::FromStr;

fn main() {
    let s = "123";
    //let s = "abc";
    match i32::from_str(s) {
        Ok(n) => println!("{n} に変換されました。"),
        Err(e) => println!("変換エラーです:{e:?}"),
    }
}